MSWStruct::ParagraphInfo Struct Reference

the paragraph information of a Microsoft Word file (PHE) More...

`#include <MSWStruct.hxx>`

## Public Member Functions

| ParagraphInfo ()
| constructor More...
bool | isLineSet () const
| returns true if num lines is set More...
bool | isEmpty () const
| returns true if no data are been set More...
bool | read (MWAWInputStreamPtr &input, long endPos, int vers)
| try to read a data More...
void | insert (ParagraphInfo const &pInfo)
| insert the new values More...

## Public Attributes

Variable< int > | m_type
| the type More...
Variable< Vec2f > | m_dim
| the zone dimension More...
Variable< int > | m_numLines
| the number of lines More...
std::string | m_error
| the errors More...

## Friends

std::ostream & | operator<< (std::ostream &o, ParagraphInfo const &pInfo)
| operator<< More...

## Detailed Description

the paragraph information of a Microsoft Word file (PHE)

## Constructor & Destructor Documentation

MSWStruct::ParagraphInfo::ParagraphInfo | ( |  | ) |

inline

constructor

## Member Function Documentation

void MSWStruct::ParagraphInfo::insert | ( | ParagraphInfo const & | pInfo | ) |

insert the new values

bool MSWStruct::ParagraphInfo::isEmpty | ( |  | ) | const

inline

returns true if no data are been set

bool MSWStruct::ParagraphInfo::isLineSet | ( |  | ) | const

inline

returns true if num lines is set

bool MSWStruct::ParagraphInfo::read | ( | MWAWInputStreamPtr & | input,
|  | long | endPos,
|  | int | vers
| ) |  |

try to read a data

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | ParagraphInfo const & | pInfo
| ) |  |

friend

operator<<

## Member Data Documentation

Variable<Vec2f> MSWStruct::ParagraphInfo::m_dim

the zone dimension

Referenced by insert(), isEmpty(), and read().

std::string MSWStruct::ParagraphInfo::m_error

the errors

Referenced by insert().

Variable<int> MSWStruct::ParagraphInfo::m_numLines

the number of lines

Referenced by insert(), isEmpty(), isLineSet(), and read().

Variable<int> MSWStruct::ParagraphInfo::m_type

the type

Referenced by insert(), isEmpty(), and read().

The documentation for this struct was generated from the following files:

- MSWStruct.hxx
- MSWStruct.cxx